POST BatchTask
Some tooltip text!
• 4 minutes to read
• 4 minutes to read
POST /api/v1/BatchTask
Start a batch job based on BatchTaskInfo.
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: batchTaskInfo
Use BatchTaskInfo to describe the new batch job.
| Property Name | Type | Description |
|---|---|---|
| Id | Integer | Id of the task. |
| Name | String | Name of the task. |
| AssociateId | Integer | Task owner. If it is a System task, AssociateId = 0. |
| DetailsTable | Integer | Id of table with more information about the task. |
| DetailsRecord | Integer | Record Id of a row in the DetailsTable containing more info about the task. |
| IsSystemTask | Boolean | If IsSystemTask is true, the task is not initiated by an associate. |
| IsInternalTask | Boolean | If IsInternalTask is true, this task will not add a trace to the database. |
| ParameterObject | Object | ParameterObject will be serialized to a binary blob and saved in the BinaryObject table. The link to the BinaryObject will be set using DetailsTable and DetailsRecord. |
| LastStarted | String | When was the task last started. |
| Created | String | Task creation time. |
| StartCount | Integer | Maps to the startcount field in the batchtask table. |
| DatabaseSerialNumber | String | Serial number of the database the task is to run on. |
| Context | String | Context for the executing task. |
| Result | String | Maps to the result field in the batchtask table. |
| State | String | BatchTaskState of the task. |
| Description | String | Description of the task. |
| Response | String | Maps to the response field in the batchtask table. |
| Request | String | Maps to the request field in the batchtask table. |
| ProgressDescription | String | Descriptive text for the current stage |
| ProgressPercent | Integer | Task progress, in percent of estimated total |
| FileName | String | The filename related to the batchtask. |
| CancellationBehaviour | String | Indicate if the task can be stopped. |
Response:int32
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: int32
Sample request
POST /api/v1/BatchTask
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Content-Type: application/json; charset=utf-8
{
"Id": 254,
"Name": "Lubowitz, Balistreri and Hermann",
"AssociateId": 602,
"DetailsTable": 239,
"DetailsRecord": 63,
"IsSystemTask": true,
"IsInternalTask": false,
"ParameterObject": {
"ParameterObject1": "iusto",
"ParameterObject2": "dolorem"
},
"LastStarted": "2018-06-01T14:34:02.7132229+02:00",
"Created": "2014-07-15T14:34:02.7132229+02:00",
"StartCount": 475,
"DatabaseSerialNumber": "706323",
"Context": "quia",
"Result": "ratione",
"State": "All",
"Description": "Mandatory asynchronous capacity",
"Response": "vero",
"Request": "aperiam",
"ProgressDescription": "Quality-focused encompassing synergy",
"ProgressPercent": 762,
"FileName": "Hodkiewicz, Green and Klein",
"CancellationBehaviour": "CanCancel"
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
685